org.vishia.gral.cfg

## Class GralCfgData.GuiCfgLine

- java.lang.Object
- - org.vishia.gral.cfg.GralCfgData.GuiCfgWidget
  - - org.vishia.gral.cfg.GralCfgData.GuiCfgLine

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    GralCfgData

      public static final class GralCfgData.GuiCfgLine
      extends GralCfgData.GuiCfgWidget
      implements java.lang.Cloneable

  ZBNF: Line::= ... ; Class for instance to capture and store the Table data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.List<GralCfgData.GuiCfgCoord>` | `coords`

    - ### Fields inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `cmd, color0, color1, data, dragFiles, dragText, dropFiles, dropText, editable, format, help, mouseAction, name, prompt, promptPosition, showMethod, text, type, userAction, whatIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCfgLine(GralCfgElement itsElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_coord(GralCfgData.GuiCfgCoord value)`
    `GralCfgData.GuiCfgCoord` | `new_coord()`
    `void` | `set_coord(java.lang.String value)`

    - ### Methods inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `clone, new_color0, new_color1, new_colorName, set_color0, set_color1, set_colorName, set_data, set_help, setFromType`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### coords

          java.util.List<GralCfgData.GuiCfgCoord> coords

  - ### Constructor Detail

    - #### GuiCfgLine

          public GuiCfgLine(GralCfgElement itsElement)

  - ### Method Detail

    - #### set_coord

          public void set_coord(java.lang.String value)

    - #### new_coord

          public GralCfgData.GuiCfgCoord new_coord()

    - #### add_coord

          public void add_coord(GralCfgData.GuiCfgCoord value)